Description

At the moment, wiki pages (such as the http://redmine.org/ homepage), for users without editing privileges, don't display any visible

control for editing the page that indicate that this is the case. As a result, one wonders why they cannot be edited and what to do

about it. This is the greyed-out-menu-items issue in UI usability all over again, only worse.

Please give a visible indicator for: 1. Why it cannot be done. 2. What to do about it.

Regards,

— Shlomi Fish

Related issues:

Related to Redmine - Defect #31269: Fix Japanese translation for status_locked Closed

Has duplicate Redmine - Defect #30312: Cannot know whether a wiki page is loc... Closed

Associated revisions

Revision 18085 - 2019-04-27 05:31 - Go MAEDA

Show locked badge for protected pages (#9634).

Patch by Marius BALTEANU.

History

#1 - 2011-11-22 19:06 - Felix Dominguez

Can you take a screenshot or two detailing what you see. I don't see controls for editing on the redmine homepage under IE.

#2 - 2011-11-22 20:25 - Shlomi Fish

Felix Dominguez wrote:

Can you take a screenshot or two detailing what you see. I don't see controls for editing on the redmine homepage under IE.

 That's the point - there aren't any, while there should be. I wondered how to edit the page (because it is indicated to be a wiki page), but they don't

know.

#3 - 2011-11-23 02:15 - Mischa The Evil

In this case the wiki page you were trying to edit (overview) is locked.

IMHO it would be good to have that "state" publicly visible with some sort of indicator. Perhaps re-use of the already available unlock icon can help

here...

#4 - 2011-11-23 07:59 - Jean-Philippe Lang

- Tracker changed from Defect to Feature

#5 - 2011-11-25 23:33 - Jean-Philippe Lang

- Subject changed from Wiki Pages without Editing Permissions/Privileges Should Still Explain that this is the case to Locked wiki pages should still

explain why they can't be edited

#6 - 2019-01-04 06:15 - Go MAEDA
https://www.redmine.org/projects/redmine/wiki/Overview
https://www.redmine.org/projects/redmine/wiki/RedmineWikis#Protecting-a-wiki-page


- Related to Defect #30312: Cannot know whether a wiki page is locked unless clicking the drop-down menu added

#7 - 2019-01-05 09:12 - Marius BĂLTEANU

- Assignee set to Marius BĂLTEANU

#8 - 2019-04-10 06:06 - Go MAEDA

- File locked-version@2x.png added

- Target version set to Unplanned backlogs

I think it would be nice if the locked status of a wiki page is shown next to the title, as already implemented for versions by #29391.

 locked-version@2x.png 

#9 - 2019-04-15 23:07 - Marius BĂLTEANU

- File without_title.png added

- File bottom.png added

We cannot implement this using the solution with the badge because the title is part of the wiki page content and not a required property (sorry for my

wrong proposal). It will look very weird when the user doesn't addd a title to the page, please see the below example:

 without_title.png 

What do you think if we add the information to the bottom of the page, next to "Updated by ... ago" ?

 bottom.png 

#10 - 2019-04-25 09:54 - Go MAEDA

- File locked-badge-bottom@2x.png added

Marius BALTEANU wrote:

What do you think if we add the information to the bottom of the page, next to "Updated by ... ago" ?

 I think it is one of the ideas. But I really like the badge style you made.

IMHO it will be even nicer if the badge is used like the following. What do you think?

 locked-badge-bottom@2x.png 

#11 - 2019-04-25 09:54 - Marius BĂLTEANU

Go MAEDA wrote:

I think it is one of the ideas. But I really like the badge style you made.

IMHO it will be even nicer if the badge is used like the following. What do you think?

 Totally agree.

#12 - 2019-04-26 11:49 - Marius BĂLTEANU

- File 0001-Show-locked-badge-for-protected-pages.patch added

Here is a first version of the patch, but I'm not sure regarding the permissions.

@Go Maeda, when we should show the badge?

#13 - 2019-04-26 11:51 - Marius BĂLTEANU

- Related to deleted (Defect #30312: Cannot know whether a wiki page is locked unless clicking the drop-down menu)

#14 - 2019-04-26 11:51 - Marius BĂLTEANU

- Has duplicate Defect #30312: Cannot know whether a wiki page is locked unless clicking the drop-down menu added

#15 - 2019-04-26 12:09 - Go MAEDA
- Target version changed from Unplanned backlogs to Candidate for next major release

Marius BALTEANU wrote:

Here is a first version of the patch, but I'm not sure regarding the permissions.

@Go Maeda, when we should show the badge?

 I don't think we have to care about permissions because the information about whether a wiki page is protected is not confidential. I think the badge

should always be displayed.

#16 - 2019-04-26 12:59 - Marius BĂLTEANU

- File deleted (0001-Show-locked-badge-for-protected-pages.patch)

#17 - 2019-04-26 13:00 - Marius BĂLTEANU

- File 0001-Show-locked-badge-for-protected-pages.patch added

Go MAEDA wrote:

Marius BALTEANU wrote:

Here is a first version of the patch, but I'm not sure regarding the permissions.

@Go Maeda, when we should show the badge?

 I don't think we have to care about permissions because the information about whether a wiki page is protected is not confidential. I think the

badge should always be displayed.

 Here is the updated patch that always shows the locked badge.

#18 - 2019-04-27 02:48 - Go MAEDA

- Target version changed from Candidate for next major release to 4.1.0

Marius BALTEANU wrote:

Here is the updated patch that always shows the locked badge.

 Thanks. Setting the target version to 4.1.0.

#19 - 2019-04-27 05:31 - Go MAEDA

- Status changed from New to Closed

- Assignee changed from Marius BĂLTEANU to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thanks.

#20 - 2019-04-27 05:41 - Go MAEDA

- Related to Defect #31269: Fix Japanese translation for status_locked added

#21 - 2019-05-16 04:02 - Go MAEDA

- Subject changed from Locked wiki pages should still explain why they can't be edited to Show locked badge for locked wiki pages

Files

locked-version@2x.png 23 KB 2019-04-10 Go MAEDA

without_title.png 126 KB 2019-04-15 Marius BĂLTEANU

bottom.png 125 KB 2019-04-15 Marius BĂLTEANU

locked-badge-bottom@2x.png 43.6 KB 2019-04-25 Go MAEDA

0001-Show-locked-badge-for-protected-pages.patch 2.02 KB 2019-04-26 Marius BĂLTEANU
